Debian Bug report logs - #391445
gcc-4.1: cross-compile broken for powerpc: Link tests are not allowed after GCC_NO_EXECUTABLES

version graph

Package: gcc-4.1; Maintainer for gcc-4.1 is Debian GCC Maintainers <debian-gcc@lists.debian.org>;

Reported by: Jim Heck <jim.heck@sun.com>

Date: Fri, 6 Oct 2006 16:18:06 UTC

Severity: normal

Found in version 4.1.1ds1-13

Fixed in version gcc-4.1/4.1.1ds2-17

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#391445; Package gcc-4.1. Full text and rfc822 format available.

Acknowledgement sent to Jim Heck <jim.heck@sun.com>:
New Bug report received and forwarded. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jim Heck <jim.heck@sun.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gcc-4.1: cross-compile broken for powerpc: Link tests are not allowed after GCC_NO_EXECUTABLES
Date: Fri, 06 Oct 2006 11:26:01 -0400
Package: gcc-4.1
Version: 4.1.1ds1-13
Severity: serious
Justification: no longer builds from source

Building gcc as a cross compiler for powerpc target on i386 platform, 
gcc will not build.  The following components are in use.

binutils 2.17-2
libc6_2.3.6.ds1-4_powerpc.deb
libc6-dev_2.3.6.ds1-4_powerpc.deb
lib64gcc1_4.1.1-13_powerpc.deb
libc6-ppc64_2.3.6.ds1-4_powerpc.deb
libc6-dev-ppc64_2.3.6.ds1-4_powerpc.deb
linux-kernel-headers_2.6.17.10-3_powerpc.deb

The binutils package was built using the line
androcross:/usr/src/cross-toolchain/binutils-2.17# TARGET=powerpc-linux-gnu fakeroot debian/rules binary-cross

The libraries and kernel headers were converted using dpkg-cross
androcross:/usr/src/cross-toolchain# dpkg-cross -a powerpc -b l*.deb

All of the above were installed using dpkg -i

GCC was built using GCC_TARGET=powerpc, like this
androcross:/usr/src/cross-toolchain# cd gcc-4.1-4.1.1ds1/
androcross:/usr/src/cross-toolchain/gcc-4.1-4.1.1ds1# export GCC_TARGET=powerpc
androcross:/usr/src/cross-toolchain/gcc-4.1-4.1.1ds1# debian/rules control
androcross:/usr/src/cross-toolchain# dpkg-buildpackage -us -uc -rfakeroot -b > ../gcc.build 2>&1 || echo 'Build error'

The tail of the file with the resulting error was
checking libintl.h usability... yes
checking libintl.h presence... yes
checking for libintl.h... yes
checking for library containing gettext... configure: error: Link tests are not allowed after GCC_NO_EXECUTABLES.
make[3]: *** [configure-target-libstdc++-v3] Error 1
make[3]: Leaving directory `/usr/src/cross-toolchain/gcc-4.1-4.1.1ds1/build'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/usr/src/cross-toolchain/gcc-4.1-4.1.1ds1/build' s=`cat status`; rm -f status; test $s -eq 0
make[1]: *** [stamps/05-build-stamp] Error 1
make[1]: Leaving directory `/usr/src/cross-toolchain/gcc-4.1-4.1.1ds1'
make: *** [stamps/05-build-stamp] Error 2

Additional information.  I backed up to gcc-4.1_4.1.1-5 and tried the 
same build using the same libraries and binutils, and it succeeded 
although there were lots of warnings about packages in the control file 
but not in the files list.  I have not tried that compiler yet.


-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i586)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.4.27-3-386
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#391445; Package gcc-4.1. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 391445@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: Jim Heck <jim.heck@sun.com>, 391445@bugs.debian.org
Cc: debian-embedded@lists.debian.org
Subject: Re: Bug#391445: gcc-4.1: cross-compile broken for powerpc: Link tests are not allowed after GCC_NO_EXECUTABLES
Date: Fri, 6 Oct 2006 19:03:13 +0200
severity 391445 normal
thanks

building the cross compilers is a non-default setup; it's unfortunate
that it's broken.

Jim Heck writes:
> Package: gcc-4.1
> Version: 4.1.1ds1-13
> Severity: serious
> Justification: no longer builds from source
> 
> Building gcc as a cross compiler for powerpc target on i386 platform, 
> gcc will not build.  The following components are in use.



Severity set to `normal' from `serious' Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#391445; Package gcc-4.1. Full text and rfc822 format available.

Acknowledgement sent to "Nikita V. Youshchenko" <yoush@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #17 received at 391445@bugs.debian.org (full text, mbox):

From: "Nikita V. Youshchenko" <yoush@debian.org>
To: "Hector Oron" <hector.oron@gmail.com>
Cc: debian-embedded@lists.debian.org, 391445@bugs.debian.org, binutils@packages.debian.org
Subject: Re: GCC 4.1 BUG - Cross compiling
Date: Sun, 15 Oct 2006 00:36:43 +0400
[Message part 1 (text/plain, inline)]
> Hello Nikita,
>
> I write you this mail, because, you did all the work to patch binutils
> and gcc older versions. I have been trying to solve Debian bug 391445,
> but i haven't been able to do it. Maybe you could tell me what would be
> a good way to solve it, or maybe it is just a line in the code.
>
> The problem is that when cross-compiling gcc_no_link sets to no, and
> then libstdc++ configure script throws and error GCC_NO_EXECUTABLES.
> This issue would be solved if gcc_no_link would be set to yes in the
> right place, but where...
>
> ...any though ?

I've looked into this a bit.

This problem seems to be caused by cross-ld not looking 
into /usr/powerpc-linux-gnu/lib64/ for 64-bit libraries.

When I was maintaining cross-binutils patch, I've added 
999_lib64_for_cross.dpatch there to address exactly this issue. But this 
patch was dropped when cross-binutils patch have been merged into binutils 
package. So now we have this bug.

999_lib64_for_cross.dpatch is still available in #231707 logs. I've not yet 
tested if it applies to current binutils package, and if this will fix 
#391445, but I'm almost sure the problem is here.

Nikita
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#391445; Package gcc-4.1. Full text and rfc822 format available.

Acknowledgement sent to "Wartan Hachaturow" <wartan.hachaturow@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #22 received at 391445@bugs.debian.org (full text, mbox):

From: "Wartan Hachaturow" <wartan.hachaturow@gmail.com>
To: "Nikita V. Youshchenko" <yoush@debian.org>
Cc: "Hector Oron" <hector.oron@gmail.com>, debian-embedded@lists.debian.org, 391445@bugs.debian.org, binutils@packages.debian.org
Subject: Re: GCC 4.1 BUG - Cross compiling
Date: Sun, 15 Oct 2006 02:14:14 +0400
On 10/15/06, Nikita V. Youshchenko <yoush@debian.org> wrote:

> 999_lib64_for_cross.dpatch is still available in #231707 logs. I've not yet
> tested if it applies to current binutils package, and if this will fix
> #391445, but I'm almost sure the problem is here.

Yes, it helps, just tested with binutils 2.17-2 and gcc-4.1
4.1.1.ds1-14 (alright, it did fail to
build the package, in fact, but on the stripping stage :).

-- 
Regards, Wartan.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#391445; Package gcc-4.1. Full text and rfc822 format available.

Acknowledgement sent to "Nikita V. Youshchenko" <yoush@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #27 received at 391445@bugs.debian.org (full text, mbox):

From: "Nikita V. Youshchenko" <yoush@debian.org>
To: "Wartan Hachaturow" <wartan.hachaturow@gmail.com>
Cc: "Hector Oron" <hector.oron@gmail.com>, debian-embedded@lists.debian.org, 391445@bugs.debian.org, binutils@packages.debian.org
Subject: Re: GCC 4.1 BUG - Cross compiling
Date: Sun, 15 Oct 2006 15:40:41 +0400
[Message part 1 (text/plain, inline)]
> On 10/15/06, Nikita V. Youshchenko <yoush@debian.org> wrote:
> > 999_lib64_for_cross.dpatch is still available in #231707 logs. I've
> > not yet tested if it applies to current binutils package, and if this
> > will fix #391445, but I'm almost sure the problem is here.
>
> Yes, it helps, just tested with binutils 2.17-2 and gcc-4.1
> 4.1.1.ds1-14 (alright, it did fail to
> build the package, in fact, but on the stripping stage :).

And that issue was in dpkg-cross (strip wrapper failed to recognize 
powerpc64 binaries); it is fixed in just-uploaded 1.32 version.

And one more issue was a typo in debian/rules.d/binary-libstdcxx-cross.mk, 
patch attached.

And then build completes successfully.

So there are two items remained unfixed in packages currently in the 
archive:
- in binutils package,  999_lib64_for_cross.dpatch has typos
- in gcc-4.1 package, there ary typos in 
debian/rules.d/binary-libstdcxx-cross.mk

Nikita
[binary-libstdcxx-cross.mk.diff (text/x-diff, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#391445; Package gcc-4.1. Full text and rfc822 format available.

Acknowledgement sent to "Hector Oron" <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #32 received at 391445@bugs.debian.org (full text, mbox):

From: "Hector Oron" <hector.oron@gmail.com>
To: "Nikita V. Youshchenko" <yoush@debian.org>
Cc: "Wartan Hachaturow" <wartan.hachaturow@gmail.com>, debian-embedded@lists.debian.org, 391445@bugs.debian.org, binutils@packages.debian.org
Subject: Re: GCC 4.1 BUG - Cross compiling
Date: Wed, 18 Oct 2006 02:51:34 +0200
[Message part 1 (text/plain, inline)]
Confirmed - It compiles clean. Tried with dpkg-cross version 1.32

Thanks,
Hector Oron

P.S.- I submit these patches to be more handy

2006/10/15, Nikita V. Youshchenko <yoush@debian.org>:
>
>
> > On 10/15/06, Nikita V. Youshchenko <yoush@debian.org> wrote:
> > > 999_lib64_for_cross.dpatch is still available in #231707 logs. I've
> > > not yet tested if it applies to current binutils package, and if this
> > > will fix #391445, but I'm almost sure the problem is here.
> >
> > Yes, it helps, just tested with binutils 2.17-2 and gcc-4.1
> > 4.1.1.ds1-14 (alright, it did fail to
> > build the package, in fact, but on the stripping stage :).
>
> And that issue was in dpkg-cross (strip wrapper failed to recognize
> powerpc64 binaries); it is fixed in just-uploaded 1.32 version.
>
> And one more issue was a typo in debian/rules.d/binary-libstdcxx-cross.mk,
> patch attached.
>
> And then build completes successfully.
>
> So there are two items remained unfixed in packages currently in the
> archive:
> - in binutils package,  999_lib64_for_cross.dpatch has typos
> - in gcc-4.1 package, there ary typos in
> debian/rules.d/binary-libstdcxx-cross.mk
>
> Nikita
>
>
>
[Message part 2 (text/html, inline)]
[binutils-cross-2.17.patch (application/octet-stream, attachment)]
[gcc-4.1-typos.patch (application/octet-stream, attachment)]

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jim Heck <jim.heck@sun.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #37 received at 391445-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 391445-close@bugs.debian.org
Subject: Bug#391445: fixed in gcc-4.1 4.1.1ds2-17
Date: Sat, 21 Oct 2006 06:19:21 -0700
Source: gcc-4.1
Source-Version: 4.1.1ds2-17

We believe that the bug you reported is fixed in the latest version of
gcc-4.1, which is due to be installed in the Debian FTP archive:

cpp-4.1_4.1.1-17_amd64.deb
  to pool/main/g/gcc-4.1/cpp-4.1_4.1.1-17_amd64.deb
cpp-4.1_4.1.1-17_hppa.deb
  to pool/main/g/gcc-4.1/cpp-4.1_4.1.1-17_hppa.deb
cpp-4.1_4.1.1-17_i386.deb
  to pool/main/g/gcc-4.1/cpp-4.1_4.1.1-17_i386.deb
cpp-4.1_4.1.1-17_powerpc.deb
  to pool/main/g/gcc-4.1/cpp-4.1_4.1.1-17_powerpc.deb
fastjar_4.1.1-17_amd64.deb
  to pool/main/g/gcc-4.1/fastjar_4.1.1-17_amd64.deb
fastjar_4.1.1-17_hppa.deb
  to pool/main/g/gcc-4.1/fastjar_4.1.1-17_hppa.deb
fastjar_4.1.1-17_i386.deb
  to pool/main/g/gcc-4.1/fastjar_4.1.1-17_i386.deb
fastjar_4.1.1-17_powerpc.deb
  to pool/main/g/gcc-4.1/fastjar_4.1.1-17_powerpc.deb
fixincludes_4.1.1-17_amd64.deb
  to pool/main/g/gcc-4.1/fixincludes_4.1.1-17_amd64.deb
fixincludes_4.1.1-17_hppa.deb
  to pool/main/g/gcc-4.1/fixincludes_4.1.1-17_hppa.deb
fixincludes_4.1.1-17_i386.deb
  to pool/main/g/gcc-4.1/fixincludes_4.1.1-17_i386.deb
fixincludes_4.1.1-17_powerpc.deb
  to pool/main/g/gcc-4.1/fixincludes_4.1.1-17_powerpc.deb
g++-4.1_4.1.1-17_amd64.deb
  to pool/main/g/gcc-4.1/g++-4.1_4.1.1-17_amd64.deb
g++-4.1_4.1.1-17_hppa.deb
  to pool/main/g/gcc-4.1/g++-4.1_4.1.1-17_hppa.deb
g++-4.1_4.1.1-17_i386.deb
  to pool/main/g/gcc-4.1/g++-4.1_4.1.1-17_i386.deb
g++-4.1_4.1.1-17_powerpc.deb
  to pool/main/g/gcc-4.1/g++-4.1_4.1.1-17_powerpc.deb
gcc-4.1-base_4.1.1-17_amd64.deb
  to pool/main/g/gcc-4.1/gcc-4.1-base_4.1.1-17_amd64.deb
gcc-4.1-base_4.1.1-17_hppa.deb
  to pool/main/g/gcc-4.1/gcc-4.1-base_4.1.1-17_hppa.deb
gcc-4.1-base_4.1.1-17_i386.deb
  to pool/main/g/gcc-4.1/gcc-4.1-base_4.1.1-17_i386.deb
gcc-4.1-base_4.1.1-17_powerpc.deb
  to pool/main/g/gcc-4.1/gcc-4.1-base_4.1.1-17_powerpc.deb
gcc-4.1-hppa64_4.1.1-17_hppa.deb
  to pool/main/g/gcc-4.1/gcc-4.1-hppa64_4.1.1-17_hppa.deb
gcc-4.1-locales_4.1.1-17_all.deb
  to pool/main/g/gcc-4.1/gcc-4.1-locales_4.1.1-17_all.deb
gcc-4.1-source_4.1.1-17_all.deb
  to pool/main/g/gcc-4.1/gcc-4.1-source_4.1.1-17_all.deb
gcc-4.1_4.1.1-17_amd64.deb
  to pool/main/g/gcc-4.1/gcc-4.1_4.1.1-17_amd64.deb
gcc-4.1_4.1.1-17_hppa.deb
  to pool/main/g/gcc-4.1/gcc-4.1_4.1.1-17_hppa.deb
gcc-4.1_4.1.1-17_i386.deb
  to pool/main/g/gcc-4.1/gcc-4.1_4.1.1-17_i386.deb
gcc-4.1_4.1.1-17_powerpc.deb
  to pool/main/g/gcc-4.1/gcc-4.1_4.1.1-17_powerpc.deb
gcc-4.1_4.1.1ds2-17.diff.gz
  to pool/main/g/gcc-4.1/gcc-4.1_4.1.1ds2-17.diff.gz
gcc-4.1_4.1.1ds2-17.dsc
  to pool/main/g/gcc-4.1/gcc-4.1_4.1.1ds2-17.dsc
gcc-4.1_4.1.1ds2.orig.tar.gz
  to pool/main/g/gcc-4.1/gcc-4.1_4.1.1ds2.orig.tar.gz
gfortran-4.1_4.1.1-17_amd64.deb
  to pool/main/g/gcc-4.1/gfortran-4.1_4.1.1-17_amd64.deb
gfortran-4.1_4.1.1-17_hppa.deb
  to pool/main/g/gcc-4.1/gfortran-4.1_4.1.1-17_hppa.deb
gfortran-4.1_4.1.1-17_i386.deb
  to pool/main/g/gcc-4.1/gfortran-4.1_4.1.1-17_i386.deb
gfortran-4.1_4.1.1-17_powerpc.deb
  to pool/main/g/gcc-4.1/gfortran-4.1_4.1.1-17_powerpc.deb
gobjc++-4.1_4.1.1-17_amd64.deb
  to pool/main/g/gcc-4.1/gobjc++-4.1_4.1.1-17_amd64.deb
gobjc++-4.1_4.1.1-17_hppa.deb
  to pool/main/g/gcc-4.1/gobjc++-4.1_4.1.1-17_hppa.deb
gobjc++-4.1_4.1.1-17_i386.deb
  to pool/main/g/gcc-4.1/gobjc++-4.1_4.1.1-17_i386.deb
gobjc++-4.1_4.1.1-17_powerpc.deb
  to pool/main/g/gcc-4.1/gobjc++-4.1_4.1.1-17_powerpc.deb
gobjc-4.1_4.1.1-17_amd64.deb
  to pool/main/g/gcc-4.1/gobjc-4.1_4.1.1-17_amd64.deb
gobjc-4.1_4.1.1-17_hppa.deb
  to pool/main/g/gcc-4.1/gobjc-4.1_4.1.1-17_hppa.deb
gobjc-4.1_4.1.1-17_i386.deb
  to pool/main/g/gcc-4.1/gobjc-4.1_4.1.1-17_i386.deb
gobjc-4.1_4.1.1-17_powerpc.deb
  to pool/main/g/gcc-4.1/gobjc-4.1_4.1.1-17_powerpc.deb
lib32ffi4_4.1.1-17_amd64.deb
  to pool/main/g/gcc-4.1/lib32ffi4_4.1.1-17_amd64.deb
lib32gcc1_4.1.1-17_amd64.deb
  to pool/main/g/gcc-4.1/lib32gcc1_4.1.1-17_amd64.deb
lib32gfortran1_4.1.1-17_amd64.deb
  to pool/main/g/gcc-4.1/lib32gfortran1_4.1.1-17_amd64.deb
lib32mudflap0_4.1.1-17_amd64.deb
  to pool/main/g/gcc-4.1/lib32mudflap0_4.1.1-17_amd64.deb
lib32objc1_4.1.1-17_amd64.deb
  to pool/main/g/gcc-4.1/lib32objc1_4.1.1-17_amd64.deb
lib32ssp0_4.1.1-17_amd64.deb
  to pool/main/g/gcc-4.1/lib32ssp0_4.1.1-17_amd64.deb
lib32stdc++6-4.1-dbg_4.1.1-17_amd64.deb
  to pool/main/g/gcc-4.1/lib32stdc++6-4.1-dbg_4.1.1-17_amd64.deb
lib32stdc++6_4.1.1-17_amd64.deb
  to pool/main/g/gcc-4.1/lib32stdc++6_4.1.1-17_amd64.deb
lib64ffi4_4.1.1-17_i386.deb
  to pool/main/g/gcc-4.1/lib64ffi4_4.1.1-17_i386.deb
lib64ffi4_4.1.1-17_powerpc.deb
  to pool/main/g/gcc-4.1/lib64ffi4_4.1.1-17_powerpc.deb
lib64gcc1_4.1.1-17_i386.deb
  to pool/main/g/gcc-4.1/lib64gcc1_4.1.1-17_i386.deb
lib64gcc1_4.1.1-17_powerpc.deb
  to pool/main/g/gcc-4.1/lib64gcc1_4.1.1-17_powerpc.deb
lib64gfortran1_4.1.1-17_i386.deb
  to pool/main/g/gcc-4.1/lib64gfortran1_4.1.1-17_i386.deb
lib64gfortran1_4.1.1-17_powerpc.deb
  to pool/main/g/gcc-4.1/lib64gfortran1_4.1.1-17_powerpc.deb
lib64mudflap0_4.1.1-17_i386.deb
  to pool/main/g/gcc-4.1/lib64mudflap0_4.1.1-17_i386.deb
lib64mudflap0_4.1.1-17_powerpc.deb
  to pool/main/g/gcc-4.1/lib64mudflap0_4.1.1-17_powerpc.deb
lib64objc1_4.1.1-17_i386.deb
  to pool/main/g/gcc-4.1/lib64objc1_4.1.1-17_i386.deb
lib64objc1_4.1.1-17_powerpc.deb
  to pool/main/g/gcc-4.1/lib64objc1_4.1.1-17_powerpc.deb
lib64ssp0_4.1.1-17_i386.deb
  to pool/main/g/gcc-4.1/lib64ssp0_4.1.1-17_i386.deb
lib64ssp0_4.1.1-17_powerpc.deb
  to pool/main/g/gcc-4.1/lib64ssp0_4.1.1-17_powerpc.deb
lib64stdc++6-4.1-dbg_4.1.1-17_i386.deb
  to pool/main/g/gcc-4.1/lib64stdc++6-4.1-dbg_4.1.1-17_i386.deb
lib64stdc++6-4.1-dbg_4.1.1-17_powerpc.deb
  to pool/main/g/gcc-4.1/lib64stdc++6-4.1-dbg_4.1.1-17_powerpc.deb
lib64stdc++6_4.1.1-17_i386.deb
  to pool/main/g/gcc-4.1/lib64stdc++6_4.1.1-17_i386.deb
lib64stdc++6_4.1.1-17_powerpc.deb
  to pool/main/g/gcc-4.1/lib64stdc++6_4.1.1-17_powerpc.deb
libffi4-dev_4.1.1-17_amd64.deb
  to pool/main/g/gcc-4.1/libffi4-dev_4.1.1-17_amd64.deb
libffi4-dev_4.1.1-17_hppa.deb
  to pool/main/g/gcc-4.1/libffi4-dev_4.1.1-17_hppa.deb
libffi4-dev_4.1.1-17_i386.deb
  to pool/main/g/gcc-4.1/libffi4-dev_4.1.1-17_i386.deb
libffi4-dev_4.1.1-17_powerpc.deb
  to pool/main/g/gcc-4.1/libffi4-dev_4.1.1-17_powerpc.deb
libffi4_4.1.1-17_amd64.deb
  to pool/main/g/gcc-4.1/libffi4_4.1.1-17_amd64.deb
libffi4_4.1.1-17_hppa.deb
  to pool/main/g/gcc-4.1/libffi4_4.1.1-17_hppa.deb
libffi4_4.1.1-17_i386.deb
  to pool/main/g/gcc-4.1/libffi4_4.1.1-17_i386.deb
libffi4_4.1.1-17_powerpc.deb
  to pool/main/g/gcc-4.1/libffi4_4.1.1-17_powerpc.deb
libgcc1_4.1.1-17_amd64.deb
  to pool/main/g/gcc-4.1/libgcc1_4.1.1-17_amd64.deb
libgcc1_4.1.1-17_i386.deb
  to pool/main/g/gcc-4.1/libgcc1_4.1.1-17_i386.deb
libgcc1_4.1.1-17_powerpc.deb
  to pool/main/g/gcc-4.1/libgcc1_4.1.1-17_powerpc.deb
libgcc4_4.1.1-17_hppa.deb
  to pool/main/g/gcc-4.1/libgcc4_4.1.1-17_hppa.deb
libgfortran1-dev_4.1.1-17_amd64.deb
  to pool/main/g/gcc-4.1/libgfortran1-dev_4.1.1-17_amd64.deb
libgfortran1-dev_4.1.1-17_hppa.deb
  to pool/main/g/gcc-4.1/libgfortran1-dev_4.1.1-17_hppa.deb
libgfortran1-dev_4.1.1-17_i386.deb
  to pool/main/g/gcc-4.1/libgfortran1-dev_4.1.1-17_i386.deb
libgfortran1-dev_4.1.1-17_powerpc.deb
  to pool/main/g/gcc-4.1/libgfortran1-dev_4.1.1-17_powerpc.deb
libgfortran1_4.1.1-17_amd64.deb
  to pool/main/g/gcc-4.1/libgfortran1_4.1.1-17_amd64.deb
libgfortran1_4.1.1-17_hppa.deb
  to pool/main/g/gcc-4.1/libgfortran1_4.1.1-17_hppa.deb
libgfortran1_4.1.1-17_i386.deb
  to pool/main/g/gcc-4.1/libgfortran1_4.1.1-17_i386.deb
libgfortran1_4.1.1-17_powerpc.deb
  to pool/main/g/gcc-4.1/libgfortran1_4.1.1-17_powerpc.deb
libmudflap0-dev_4.1.1-17_amd64.deb
  to pool/main/g/gcc-4.1/libmudflap0-dev_4.1.1-17_amd64.deb
libmudflap0-dev_4.1.1-17_hppa.deb
  to pool/main/g/gcc-4.1/libmudflap0-dev_4.1.1-17_hppa.deb
libmudflap0-dev_4.1.1-17_i386.deb
  to pool/main/g/gcc-4.1/libmudflap0-dev_4.1.1-17_i386.deb
libmudflap0-dev_4.1.1-17_powerpc.deb
  to pool/main/g/gcc-4.1/libmudflap0-dev_4.1.1-17_powerpc.deb
libmudflap0_4.1.1-17_amd64.deb
  to pool/main/g/gcc-4.1/libmudflap0_4.1.1-17_amd64.deb
libmudflap0_4.1.1-17_hppa.deb
  to pool/main/g/gcc-4.1/libmudflap0_4.1.1-17_hppa.deb
libmudflap0_4.1.1-17_i386.deb
  to pool/main/g/gcc-4.1/libmudflap0_4.1.1-17_i386.deb
libmudflap0_4.1.1-17_powerpc.deb
  to pool/main/g/gcc-4.1/libmudflap0_4.1.1-17_powerpc.deb
libobjc1_4.1.1-17_amd64.deb
  to pool/main/g/gcc-4.1/libobjc1_4.1.1-17_amd64.deb
libobjc1_4.1.1-17_hppa.deb
  to pool/main/g/gcc-4.1/libobjc1_4.1.1-17_hppa.deb
libobjc1_4.1.1-17_i386.deb
  to pool/main/g/gcc-4.1/libobjc1_4.1.1-17_i386.deb
libobjc1_4.1.1-17_powerpc.deb
  to pool/main/g/gcc-4.1/libobjc1_4.1.1-17_powerpc.deb
libssp0_4.1.1-17_amd64.deb
  to pool/main/g/gcc-4.1/libssp0_4.1.1-17_amd64.deb
libssp0_4.1.1-17_i386.deb
  to pool/main/g/gcc-4.1/libssp0_4.1.1-17_i386.deb
libssp0_4.1.1-17_powerpc.deb
  to pool/main/g/gcc-4.1/libssp0_4.1.1-17_powerpc.deb
libstdc++6-4.1-dbg_4.1.1-17_amd64.deb
  to pool/main/g/gcc-4.1/libstdc++6-4.1-dbg_4.1.1-17_amd64.deb
libstdc++6-4.1-dbg_4.1.1-17_hppa.deb
  to pool/main/g/gcc-4.1/libstdc++6-4.1-dbg_4.1.1-17_hppa.deb
libstdc++6-4.1-dbg_4.1.1-17_i386.deb
  to pool/main/g/gcc-4.1/libstdc++6-4.1-dbg_4.1.1-17_i386.deb
libstdc++6-4.1-dbg_4.1.1-17_powerpc.deb
  to pool/main/g/gcc-4.1/libstdc++6-4.1-dbg_4.1.1-17_powerpc.deb
libstdc++6-4.1-dev_4.1.1-17_amd64.deb
  to pool/main/g/gcc-4.1/libstdc++6-4.1-dev_4.1.1-17_amd64.deb
libstdc++6-4.1-dev_4.1.1-17_hppa.deb
  to pool/main/g/gcc-4.1/libstdc++6-4.1-dev_4.1.1-17_hppa.deb
libstdc++6-4.1-dev_4.1.1-17_i386.deb
  to pool/main/g/gcc-4.1/libstdc++6-4.1-dev_4.1.1-17_i386.deb
libstdc++6-4.1-dev_4.1.1-17_powerpc.deb
  to pool/main/g/gcc-4.1/libstdc++6-4.1-dev_4.1.1-17_powerpc.deb
libstdc++6-4.1-doc_4.1.1-17_all.deb
  to pool/main/g/gcc-4.1/libstdc++6-4.1-doc_4.1.1-17_all.deb
libstdc++6-4.1-pic_4.1.1-17_amd64.deb
  to pool/main/g/gcc-4.1/libstdc++6-4.1-pic_4.1.1-17_amd64.deb
libstdc++6-4.1-pic_4.1.1-17_hppa.deb
  to pool/main/g/gcc-4.1/libstdc++6-4.1-pic_4.1.1-17_hppa.deb
libstdc++6-4.1-pic_4.1.1-17_i386.deb
  to pool/main/g/gcc-4.1/libstdc++6-4.1-pic_4.1.1-17_i386.deb
libstdc++6-4.1-pic_4.1.1-17_powerpc.deb
  to pool/main/g/gcc-4.1/libstdc++6-4.1-pic_4.1.1-17_powerpc.deb
libstdc++6_4.1.1-17_amd64.deb
  to pool/main/g/gcc-4.1/libstdc++6_4.1.1-17_amd64.deb
libstdc++6_4.1.1-17_hppa.deb
  to pool/main/g/gcc-4.1/libstdc++6_4.1.1-17_hppa.deb
libstdc++6_4.1.1-17_i386.deb
  to pool/main/g/gcc-4.1/libstdc++6_4.1.1-17_i386.deb
libstdc++6_4.1.1-17_powerpc.deb
  to pool/main/g/gcc-4.1/libstdc++6_4.1.1-17_powerpc.deb
protoize_4.1.1-17_amd64.deb
  to pool/main/g/gcc-4.1/protoize_4.1.1-17_amd64.deb
protoize_4.1.1-17_hppa.deb
  to pool/main/g/gcc-4.1/protoize_4.1.1-17_hppa.deb
protoize_4.1.1-17_i386.deb
  to pool/main/g/gcc-4.1/protoize_4.1.1-17_i386.deb
protoize_4.1.1-17_powerpc.deb
  to pool/main/g/gcc-4.1/protoize_4.1.1-17_powerpc.deb
treelang-4.1_4.1.1-17_amd64.deb
  to pool/main/g/gcc-4.1/treelang-4.1_4.1.1-17_amd64.deb
treelang-4.1_4.1.1-17_hppa.deb
  to pool/main/g/gcc-4.1/treelang-4.1_4.1.1-17_hppa.deb
treelang-4.1_4.1.1-17_i386.deb
  to pool/main/g/gcc-4.1/treelang-4.1_4.1.1-17_i386.deb
treelang-4.1_4.1.1-17_powerpc.deb
  to pool/main/g/gcc-4.1/treelang-4.1_4.1.1-17_powerpc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 391445@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated gcc-4.1 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 21 Oct 2006 00:25:05 +0200
Source: gcc-4.1
Binary: gcc-4.1-soft-float libstdc++6-4.1-pic libstdc++6 lib32ffi4 libobjc1 lib32gfortran1 gfortran-4.1 libgcc1 libstdc++6-4.1-doc lib64gfortran1 libgfortran1-dev libgcc2 lib64stdc++6-4.1-dbg g++-4.1 protoize gcc-4.1-base cpp-4.1 lib64stdc++6 gobjc++-4.1 libffi4 lib64ssp0 libstdc++6-4.1-dbg lib64ffi4 libgfortran1 lib32gcc1 libssp0 gcc-4.1-source libgcc4 lib64objc1 gobjc-4.1 gcc-4.1 lib32objc1 lib32stdc++6-4.1-dbg libstdc++6-4.1-dev libffi4-dev gcc-4.1-locales lib32mudflap0 treelang-4.1 lib64gcc1 fastjar fixincludes libmudflap0-dev lib32stdc++6 libmudflap0 lib32ssp0 lib64mudflap0 gcc-4.1-hppa64
Architecture: all amd64 hppa i386 powerpc source 
Version: 4.1.1ds2-17
Distribution: unstable
Urgency: low
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 cpp-4.1    - The GNU C preprocessor
 fastjar    - Jar creation utility
 fixincludes - Fix non-ANSI header files
 g++-4.1    - The GNU C++ compiler
 gcc-4.1    - The GNU C compiler
 gcc-4.1-base - The GNU Compiler Collection (base package)
 gfortran-4.1 - The GNU Fortran 95 compiler
 gobjc++-4.1 - The GNU Objective-C++ compiler
 gobjc-4.1  - The GNU Objective-C compiler
 lib32ffi4  - Foreign Function Interface library runtime (32bit)
 lib32gcc1  - GCC support library (32 bit Version)
 lib32gfortran1 - Runtime library for GNU Fortran applications (32bit)
 lib32mudflap0 - GCC mudflap shared support libraries (32bit)
 lib32objc1 - Runtime library for GNU Objective-C applications (32bit)
 lib32ssp0  - GCC stack smashing protection library (32bit)
 lib32stdc++6 - The GNU Standard C++ Library v3 (32 bit Version)
 lib32stdc++6-4.1-dbg - The GNU Standard C++ Library v3 (debugging files)
 libffi4    - Foreign Function Interface library runtime
 libffi4-dev - Foreign Function Interface library (development files)
 libgcc1    - GCC support library
 libgfortran1 - Runtime library for GNU Fortran applications
 libgfortran1-dev - GNU Fortran library development
 libmudflap0 - GCC mudflap shared support libraries
 libmudflap0-dev - GCC mudflap support libraries (development files)
 libobjc1   - Runtime library for GNU Objective-C applications
 libssp0    - GCC stack smashing protection library
 libstdc++6 - The GNU Standard C++ Library v3
 libstdc++6-4.1-dbg - The GNU Standard C++ Library v3 (debugging files)
 libstdc++6-4.1-dev - The GNU Standard C++ Library v3 (development files)
 libstdc++6-4.1-pic - The GNU Standard C++ Library v3 (shared library subset kit)
 protoize   - Create/remove ANSI prototypes from C code
 treelang-4.1 - The GNU Treelang compiler
Closes: 377613 385327 390620 390879 391445 392327 392974 393010 393071 394034
Changes: 
 gcc-4.1 (4.1.1ds2-17) unstable; urgency=low
 .
   [Matthias Klose]
   * Update to SVN 20061020.
     - Fix PR debug/26881, ICE in dwarf2out_finish. Closes: #377613.
     - Fix PR PR c++/29408, parse error for valid code. Closes: #392327, #393010.
     - Fix PR c++/29435, segfault with sizeof and templates. Closes: #393071.
     - Fix PR target/29338, segfault with -finline-limit on arm. Closes: 390620.
     - Fix 3.4/4.0 backwards compatibility problem in libstdc++.
   * Fix PR classpath/29362, taken from the redhat/gcc-4_1-branch.
   * Remove the INSTALL directory from the source tarball. Closes: #392974.
   * Disable building the static libgcj; non-functional, and cutting
     down build times.
   * libgcj7-0: Tighten dependency on libgcj-common.
   * libgcj7-dev: Install .pc file as libgcj-4.1.pc.
   * README.cross: Updated (Hector Oron). Addresses: #380251.
   * config-ml.dpatch: Use *-linux-gnu as *_GNU_TYPE. Closes: #394034.
 .
   [Nikita V. Youshchenko]
   * Fix typo in the cross build scripts.  Closes: #391445.
 .
   [Falk Hueffner]
   * alpha-no-ev4-directive.dpatch: Fix kernel build failure.
 .
   [Roman Zippel]
   * debian/patches/m68k-align-code.dpatch: Use "move.l %a4,%a4" to advance
     within code.
   * debian/patches/m68k-align-stack.dpatch: Try to keep the stack word aligned.
   * debian/patches/m68k-dwarf3.dpatch: Emit correct dwarf info for cfa offset
     and register with -fomit-frame-pointer.
   * debian/patches/m68k-fpcompare.dpatch: Bring fp compare early to its
     desired form to relieve reload. Closes: #390879.
   * debian/patches/m68k-prevent-swap.dpatch: Don't swap operands
     during reloads.
   * debian/patches/m68k-reg-inc.dpatch: Reinsert REG_INC notes after splitting
     an instruction.
   * debian/patches/m68k-secondary-addr-reload.dpatch: Add secondary reloads
     to allow reload to get byte values into addr regs. Closes: #385327.
   * debian/patches/m68k-symbolic-operand.dpatch: Better recognize symbolic
     operands in addresses.
   * debian/patches/m68k-limit_reload.dpatch: Remove, superseded by
     m68k-secondary-addr-reload.dpatch.
   * debian/patches/m68k-notice-move.dpatch: Apply, was checked in in -16.
   * debian/patches/m68k-autoinc.dpatch: Updated, don't attempt to increment
     the register, if it's used multiple times in the instruction .
Files: 
 080f996a894cace9f2e7e7904ea0d7b0 9058 libs optional lib64ffi4_4.1.1-17_powerpc.deb
 089af88e0976c9c12ed38539e536a0a9 2649808 devel optional gobjc-4.1_4.1.1-17_powerpc.deb
 095003bf3fe7867bb57cc0707eb2816e 2672506 devel optional gfortran-4.1_4.1.1-17_amd64.deb
 0ba55b2bf4097cf232d4302542117d43 197786 libs required gcc-4.1-base_4.1.1-17_i386.deb
 0bff2f34718c5df2a798d9ca717ff42b 2560998 interpreters standard cpp-4.1_4.1.1-17_powerpc.deb
 0c7f21f9cdbc72e11da40717444ed564 159946 libs optional libgfortran1_4.1.1-17_i386.deb
 12861a2a231a4329def913104fd565f9 83156 devel optional fixincludes_4.1.1-17_i386.deb
 1352285bf5a9b87a513e5d56f7ca3ce9 39490 devel optional protoize_4.1.1-17_i386.deb
 152b30ba9a305732aba5e2c38434fabc 24500 libs optional lib64gcc1_4.1.1-17_i386.deb
 1e733073e6a2172c415aa20f69bad4f2 150800 libs optional libobjc1_4.1.1-17_hppa.deb
 215b4bba16729123011f20434ef4c477 157780 libs optional lib32gfortran1_4.1.1-17_amd64.deb
 2351ea72cbbbaaccb158035dcdf99728 2401776 devel optional gobjc-4.1_4.1.1-17_i386.deb
 27c8fcc071bec96788683f0ad2e2a576 141036 libs optional libobjc1_4.1.1-17_i386.deb
 283b7394b840ea4f6fe253bf3f50100d 51232 devel optional protoize_4.1.1-17_hppa.deb
 28f28ddcad0442e79ce1b54855139abc 5841366 libdevel extra lib32stdc++6-4.1-dbg_4.1.1-17_amd64.deb
 299ef5d467d0537bd388a06229c581ad 44796 devel optional protoize_4.1.1-17_amd64.deb
 2c15116c6d69f64b2e2dfef67434ad1c 7478 libs optional lib64ffi4_4.1.1-17_i386.deb
 2c5d3852c4b4d1b6b422607b95e6bf5a 167910 libs optional lib64gfortran1_4.1.1-17_powerpc.deb
 2c8c952c11f7059a5d19160642ed9192 183486 libs optional lib64gfortran1_4.1.1-17_i386.deb
 2d11a96ea6e13627767f8e2c32005179 1193418 libdevel extra lib64stdc++6-4.1-dbg_4.1.1-17_i386.deb
 2e5796abc72811ab5428924716c37793 494090 devel standard gcc-4.1_4.1.1-17_powerpc.deb
 3048670133409454ffe9db99c3efaeb6 225300 libdevel optional libmudflap0-dev_4.1.1-17_powerpc.deb
 311bf1ad60f3f52bc7605098788c5b7a 2382406 devel optional treelang-4.1_4.1.1-17_powerpc.deb
 315d26ece75ea946bfc31648b1de18d6 197722 libs required gcc-4.1-base_4.1.1-17_hppa.deb
 31b09dea1adbf799afd81d1115b71ef9 2300824 devel optional treelang-4.1_4.1.1-17_amd64.deb
 37a8694c65ccbf5dab3b094bfbce94e9 197914 libs required gcc-4.1-base_4.1.1-17_amd64.deb
 3b9661f2da187ca779eb1cc92a3737f6 196350 libdevel optional libmudflap0-dev_4.1.1-17_amd64.deb
 3fe1bcb1ee9a17e8746164ea5b132f11 3734318 libdevel extra libstdc++6-4.1-dbg_4.1.1-17_i386.deb
 40ffbf3bf04663a90c4db3c48090bae1 1619322 libdevel standard libstdc++6-4.1-dev_4.1.1-17_amd64.deb
 410d68f55867d0a1b5488effc82f7eeb 2524938 devel optional gobjc++-4.1_4.1.1-17_i386.deb
 473dd18f64e9ad365c3404662bee0c05 2767208 devel optional gobjc++-4.1_4.1.1-17_powerpc.deb
 4ca8b7e78e40f81730fe73efc7acfba4 290186 libs optional lib64stdc++6_4.1.1-17_i386.deb
 4d8defbe7bda47b220e8572e06c1518f 2203288 devel optional gobjc-4.1_4.1.1-17_hppa.deb
 4ddff67327a549613e9a926f2fa395c5 1275114 libdevel extra lib64stdc++6-4.1-dbg_4.1.1-17_powerpc.deb
 4de028a14bda440ecdc748b92869f8b4 141844 libs optional libobjc1_4.1.1-17_amd64.deb
 4f32c5e12831d9377c15b7e654651e3b 290480 libs optional lib32stdc++6_4.1.1-17_amd64.deb
 4f52dd1707656dc8be18392fbe681b2f 345932 libs required libstdc++6_4.1.1-17_hppa.deb
 53273281b2b02a78ade37792b0d922b0 150090 devel optional fastjar_4.1.1-17_powerpc.deb
 54d274e0c0a14e35d42431cedd7ed36d 4572 libs optional lib32ssp0_4.1.1-17_amd64.deb
 562b6ebf22f69cc2133e582b20ddc407 148722 devel optional fastjar_4.1.1-17_hppa.deb
 57759cf8563f3c36e73409c0b0fb874c 110496 libs optional libffi4_4.1.1-17_amd64.deb
 577f08279e4ac1e34d674293772c0be7 46758 devel optional protoize_4.1.1-17_powerpc.deb
 5ad8d332330500201120c41218c7bdd6 2745684 devel optional gfortran-4.1_4.1.1-17_powerpc.deb
 5b098d683de58bfbaa62133a9e8df90b 2403092 devel optional gobjc++-4.1_4.1.1-17_hppa.deb
 5de687f31779398f047c737ba93e5509 340858 libs optional lib64stdc++6_4.1.1-17_powerpc.deb
 6118f00eb178f3c3b0569832b7dea5a8 70762 devel optional fixincludes_4.1.1-17_hppa.deb
 619b97a7838ef2d7ddc4a7d63657de98 51762 libs optional lib64objc1_4.1.1-17_powerpc.deb
 660b0996cdc231ce8a6053f7cfc0ff0c 41812 libs optional lib32objc1_4.1.1-17_amd64.deb
 694be7eac33559f6f049627a4aa0e6cc 2566956 devel standard gcc-4.1-hppa64_4.1.1-17_hppa.deb
 6ac3f145967e37bb7fc62924a795f13e 533894 libdevel extra libstdc++6-4.1-pic_4.1.1-17_hppa.deb
 6c4e3d170888f5e5d0619cca6af12802 1632098 libdevel standard libstdc++6-4.1-dev_4.1.1-17_i386.deb
 6d4de685e2d3cc1a3bb0f933507caa7f 2373164 devel optional gfortran-4.1_4.1.1-17_hppa.deb
 6ee602e5ade39c24b2ac9e2bb5211248 34354 libs required libgcc1_4.1.1-17_powerpc.deb
 6f5a775c20a1d5ab1499df8623e5727c 4886 libs standard libssp0_4.1.1-17_powerpc.deb
 705bd3f62b7accf69020763580359581 913796 libdevel extra libstdc++6-4.1-pic_4.1.1-17_amd64.deb
 70cf97bfa3b75e628c7db366a732f668 4494 libs standard libssp0_4.1.1-17_i386.deb
 7568887ace88748ce27cc27aac4448fc 197316 libdevel optional libmudflap0-dev_4.1.1-17_i386.deb
 75eb2216ce272c674fb2d9affdc24f40 124088 libdevel optional libmudflap0-dev_4.1.1-17_hppa.deb
 7644a40b36de2bc4f73b1bf91886b942 177320 libs optional libmudflap0_4.1.1-17_powerpc.deb
 78be5c7dd151618e6c69aadce092120b 36982690 devel standard gcc-4.1_4.1.1ds2.orig.tar.gz
 79f8fe25904f771db97062fd8e5fc381 28812 libs required libgcc4_4.1.1-17_hppa.deb
 7a6a8ad19f45686996460181ae0c8ecb 294142 libs required libstdc++6_4.1.1-17_i386.deb
 7ab4b20f686d1e2857d6141d52c2653a 402724 libdevel optional libgfortran1-dev_4.1.1-17_i386.deb
 7c6fd6dc7757bce1f8dabbe56d2ab523 31552 libs optional lib64gcc1_4.1.1-17_powerpc.deb
 7dca7e25ce0b5ae55fd3293c6a457ce1 145238 devel optional fastjar_4.1.1-17_i386.deb
 8189be86e8f80669e921e2b92ae927d8 79758 devel optional fixincludes_4.1.1-17_powerpc.deb
 81a03c5991f14cc7391ad763774bca92 15564 libdevel optional libffi4-dev_4.1.1-17_hppa.deb
 852971563c5cc882319e3b7ce9f80d40 1979068 devel optional treelang-4.1_4.1.1-17_hppa.deb
 85713dd063400767e161c28a079ea9e4 168588 libs optional libmudflap0_4.1.1-17_i386.deb
 867eda2f4a65085969df042ff6d370d5 2166342 interpreters standard cpp-4.1_4.1.1-17_hppa.deb
 8859effd9e8e6a4e6697073f2899a28f 4970 libs standard libssp0_4.1.1-17_amd64.deb
 8fcfaf9d494e58397b2d878bdfc482cc 2329724 interpreters standard cpp-4.1_4.1.1-17_i386.deb
 9041667971c47d929939c9fb3f3399f2 4540 libs optional lib64ssp0_4.1.1-17_i386.deb
 90df6fe1ee42423fd94443e1841196c9 85642 devel optional fixincludes_4.1.1-17_amd64.deb
 930cec82c4dee8c17285088496f1614e 24494 libdevel optional libffi4-dev_4.1.1-17_powerpc.deb
 9396b58e97a46e5ef3d9d3254b2caea1 3925418 libdevel extra libstdc++6-4.1-dbg_4.1.1-17_hppa.deb
 96858bd21a8818aaf85400c2346d44c5 73524 libs optional lib32mudflap0_4.1.1-17_amd64.deb
 972ba95e24299def879331379b2755f3 197168 libdevel optional libgfortran1-dev_4.1.1-17_hppa.deb
 98124854abcea3c57163fc57b44987ef 43194 libs optional lib64objc1_4.1.1-17_i386.deb
 997b707bd22ca7beb1d10292a25fe84d 183976 libs optional libmudflap0_4.1.1-17_amd64.deb
 9cd6e438b5ee28a7895d8b4e116b4169 112602 libs optional libffi4_4.1.1-17_powerpc.deb
 a7e5b255fb3609047c8f9c96723fea99 2785164 devel standard g++-4.1_4.1.1-17_amd64.deb
 a9ca004b29024a98ade57a2c1cd66f3a 1724514 libdevel standard libstdc++6-4.1-dev_4.1.1-17_powerpc.deb
 aa698bfc7c164d23c8a1b76a058a83b0 148380 devel optional fastjar_4.1.1-17_amd64.deb
 aaa0d48a20e6a94eabe83913206644cb 110726 libs optional libffi4_4.1.1-17_hppa.deb
 ad08a76fc2590e01139d6cab99bd0456 1458264 devel optional gcc-4.1-locales_4.1.1-17_all.deb
 af3d63f608e426c26d790cfaa152e90e 420870 devel standard gcc-4.1_4.1.1-17_hppa.deb
 b20fa43ea88d3a00b36f3d2854502b7d 24606 libs required libgcc1_4.1.1-17_amd64.deb
 b220a143f5bd2cd1f981fb669c676c74 108090 libs optional libffi4_4.1.1-17_i386.deb
 b39e141e1e97581929ab35329e57efb5 921126 libdevel extra libstdc++6-4.1-pic_4.1.1-17_i386.deb
 b80ae9c73caacfc53e55c5724524f8fe 458934 devel standard gcc-4.1_4.1.1-17_i386.deb
 ba3c80b39511dd30241e4d3af249366a 399836 libdevel optional libgfortran1-dev_4.1.1-17_amd64.deb
 bcec10017b3381280c01ee1c83d07a2a 1194438 libdevel standard libstdc++6-4.1-dev_4.1.1-17_hppa.deb
 bf0ed19f34a1ef3b6be29d0161de9555 3902542 libdevel extra libstdc++6-4.1-dbg_4.1.1-17_powerpc.deb
 bfcd88ff493a0026e85fb9cb6f1c10f9 21060 libdevel optional libffi4-dev_4.1.1-17_i386.deb
 bfe0e402392692b716209ca30d45e5df 20936 libdevel optional libffi4-dev_4.1.1-17_amd64.deb
 c09c6ed260dd6ac6a3c9366db53978a6 20870 libs optional lib32gcc1_4.1.1-17_amd64.deb
 c1cc5eda689c63c7a325f707f75fc91f 2860508 devel standard g++-4.1_4.1.1-17_powerpc.deb
 c504d5f332fe0cb593c03d6dcf14247d 2510986 devel optional gfortran-4.1_4.1.1-17_i386.deb
 c7fda66fd644c62fa8131af4f43e3fa9 996922 libdevel extra libstdc++6-4.1-pic_4.1.1-17_powerpc.deb
 c81e6a35633aa4748bb237fe1521939e 2491126 devel standard g++-4.1_4.1.1-17_hppa.deb
 c9298cd8bdc44bdf27fb7ba40ec73a20 135434 libs optional libgfortran1_4.1.1-17_powerpc.deb
 c9d857006ae429a576a0e6541c6bef9b 5734 libs optional lib64ssp0_4.1.1-17_powerpc.deb
 ca06f4c4e2782278dfba2b5345514c18 183480 libs optional libgfortran1_4.1.1-17_amd64.deb
 ca739226a344d9d2b338c92d66dcd275 95914 libs optional lib64mudflap0_4.1.1-17_powerpc.deb
 cbb7eef5c42cfa77bf654cd34064961f 144094 libs optional libobjc1_4.1.1-17_powerpc.deb
 ccafb2cc1b07a2769afd03ca4ac15ef3 304808 libs required libstdc++6_4.1.1-17_powerpc.deb
 cf22f61935b2e7a88c7570586c8756d2 181390 libs optional libmudflap0_4.1.1-17_hppa.deb
 d485f0ad14c91cea7ffad1d097476b90 2696594 devel optional gobjc++-4.1_4.1.1-17_amd64.deb
 d6043b2ecbfbabbb30218a792a00a19f 21656 libs required libgcc1_4.1.1-17_i386.deb
 d8c0f8dad419a55536d866df150353bd 2167492 devel optional treelang-4.1_4.1.1-17_i386.deb
 d8c4385ffaf078a2913ca4f0cb6e107d 90948 libs optional lib64mudflap0_4.1.1-17_i386.deb
 d8c8fea1ec7b5aaef87dfd6ab744bcd2 468340 devel standard gcc-4.1_4.1.1-17_amd64.deb
 da22ce3838bd747a459b746da5ecad2a 43787962 devel optional gcc-4.1-source_4.1.1-17_all.deb
 de2be79433efc5142f34e34050dfe350 288304 libs required libstdc++6_4.1.1-17_amd64.deb
 df085fbbd325ebd54097918e326c6709 3808030 libdevel extra libstdc++6-4.1-dbg_4.1.1-17_amd64.deb
 e89c0c7d805ed4abfc295eed8881d949 7026444 devel standard gcc-4.1_4.1.1ds2-17.diff.gz
 29be28a3f22d8f22e7e2dde07c23007f 2407 devel standard gcc-4.1_4.1.1ds2-17.dsc
 f049caf00c22b66db7aa5fd11a25818d 2550364 devel optional gobjc-4.1_4.1.1-17_amd64.deb
 f0869133ef3ffb18d613eb51343ee839 7349318 doc optional libstdc++6-4.1-doc_4.1.1-17_all.deb
 f0d91fab0232ec8df854b3a92ea217e4 5234 libs optional lib32ffi4_4.1.1-17_amd64.deb
 f0ef4bcd1b31f6dbacfe020d57642ede 197846 libs required gcc-4.1-base_4.1.1-17_powerpc.deb
 f4a8f66a3adb840304caf5e7d127be78 2613144 devel standard g++-4.1_4.1.1-17_i386.deb
 f4fd73d4ba856f70f69095332683a57b 2480200 interpreters standard cpp-4.1_4.1.1-17_amd64.deb
 f616a6d37da574b1f2bbec68a3711f76 151468 libs optional libgfortran1_4.1.1-17_hppa.deb
 f6d45ade8daf8427dd292f77232eef7d 377310 libdevel optional libgfortran1-dev_4.1.1-17_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFFOhauStlRaw+TLJwRAjF8AKCrjVFJZDptJAL4DFiEiK8MJES7mACeO+6W
oHthfBJGxbbVBRVxJ5kwxQE=
=HYTF
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 11:07:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 11:26:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.